SplEnum
SplBool
SplEnum
PHP Manual

# SplEnum::getConstList

(PECL spl_types >= 0.1.0)

SplEnum::getConstList — Returns all consts (possible values) as an array.

### Description

public array SplEnum::getConstList ([ bool `$include_default` = false ] )

Warning

This function is currently not documented; only its argument list is available.

### Parameters

`include_default`

  Whether to include __default property.

### Return Values

### Examples

Example #1 SplEnum::getConstList() example

`<?php
$bool = new SplBool;
var_dump($bool->getConstList(true));
?>`

The above example will output:

    array(3) {
      ["__default"]=>
      bool(false)
      ["false"]=>
      bool(false)
      ["true"]=>
      bool(true)
    }

SplEnum
SplBool
SplEnum
PHP Manual